Package musicbrainz2 :: Module wsxml :: Class DefaultFactory

[frames] | no frames]

# Class DefaultFactory

source code

    object --+
             |
            DefaultFactory

A factory to instantiate classes from the domain model.

This factory may be used to create objects from musicbrainz2.model.

Instance Methods

newArtist(self) | source code

newRelease(self) | source code

newReleaseGroup(self) | source code

newTrack(self) | source code

newRelation(self) | source code

newReleaseEvent(self) | source code

newDisc(self) | source code

newArtistAlias(self) | source code

newUser(self) | source code

newLabel(self) | source code

newLabelAlias(self) | source code

newTag(self) | source code

newRating(self) | source code

Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__init__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Properties
Inherited from `object`: `__class__`